Bug Hunting Session
Bug 99140 - DOCX import: table at the bottom of the page doesn't span over multiple pages
Summary: DOCX import: table at the bottom of the page doesn't span over multiple pages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.0.6 target:5.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-07 14:34 UTC by Miklos Vajna
Modified: 2016-10-25 19:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document (13.04 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-04-07 14:34 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-04-07 14:34:34 UTC
Created attachment 124163 [details]
Reproducer document

This is a follow-up to bug 76583, the problem is that the Table 2 (floating + spanning over multiple pages) would be better as a table without a textframe, as otherwise it overlaps with Table 1.
Comment 1 Commit Notification 2016-04-07 15:57:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d56deaeb2a1e8007e50fc2334f416fddd4e3cde3

tdf#99140 Factor out FloatingTableConversion() from CloseSectionGroup()

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-04-08 10:59:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c07f04ab422eadba0f2c3c128a0e3ff78e90cdf2

tdf#99140 DOCX import: fix table at the bottom of the page to span over ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-04-08 16:09:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd61dee6457a44687f1142dd55bfee6b64fda2ef

tdf#99140 DOCX import: fix table horizontal aligment to be 'from left' ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-12 14:18:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52f6fb0f4e91ebcd5115e29d25407eeed82992d5&h=libreoffice-5-0

tdf#99140 DOCX import: fix table at the bottom of the page to span over ...

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-14 08:15:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=168e55d3d05224c790824ec71677ff787371ad48&h=libreoffice-5-1

tdf#99140 DOCX import: fix table at the bottom of the page to span over ...

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.